# Meal Plans

The Meal Plan API lets developers integrate the Whisk Meal Planner into their apps.

## Authentication

In order to use the Whisk Meal Planner API, you need to follow the necessary steps to acquire a User Token, either through the use of OAuth to retrieve an anonymous token. Please check out our documentation for more information:

* [User Access Tokens](/master/api/auth/user-access-token.md)
* [Anonymous Tokens](/master/api/auth/anonymous-access.md)

You can pass the access token as a Bearer token in the Authorization header to get access to Meal Planner API, as shown in this example:

```bash
-H "Authorization: Bearer <Access-Token>"
```

This access token will be used to identify the user and the meal plan that has been created for them.

## The Meal Plan Model

![image alt text](/files/-M4oWupR6yVLvmTtkdMw)

A Meal Plan in Whisk is a limitless schedule of meals set for each day. Each user has a single meal plan automatically created for them.Each day consists of up to seven Day Slots, each of which could hold a single meal along with its recipe information. Additionally, a meal could be labeled as either breakfast, lunch or dinner.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/meal-plans.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
